### Enumeration

# Aravis BufferStatus

#### Declaration

    enum Aravis.BufferStatus

#### Description

No description available.

#### Members

`ARV_BUFFER_STATUS_UNKNOWN`

  Unknown status.

  - Value: `-1`
  - Available since: 0.8
`ARV_BUFFER_STATUS_SUCCESS`

  The buffer contains a valid image.

  - Value: `0`
  - Available since: 0.8
`ARV_BUFFER_STATUS_CLEARED`

  The buffer is cleared.

  - Value: `1`
  - Available since: 0.8
`ARV_BUFFER_STATUS_TIMEOUT`

  Timeout was reached before all packets are received.

  - Value: `2`
  - Available since: 0.8
`ARV_BUFFER_STATUS_MISSING_PACKETS`

  Stream has missing packets.

  - Value: `3`
  - Available since: 0.8
`ARV_BUFFER_STATUS_WRONG_PACKET_ID`

  Stream has packet with wrong id.

  - Value: `4`
  - Available since: 0.8
`ARV_BUFFER_STATUS_SIZE_MISMATCH`

  The received image didn’t fit in the buffer data space.

  - Value: `5`
  - Available since: 0.8
`ARV_BUFFER_STATUS_FILLING`

  The image is currently being filled.

  - Value: `6`
  - Available since: 0.8
`ARV_BUFFER_STATUS_ABORTED`

  The filling was aborted before completion.

  - Value: `7`
  - Available since: 0.8
`ARV_BUFFER_STATUS_PAYLOAD_NOT_SUPPORTED`

  Payload not yet supported.

  - Value: `8`
  - Available since: 0.8